* SAMPLE.H

#ifndef __SAMPLE__
#define __SAMPLE__
*//---------------------------------------

*//		OpenTable()/OpenView() flags:

#define OPENTABLE_BUFMODEMASK		0x00FF		&& Buffering mode in low 8 bits
#define OPENTABLE_SHARED			0x0000		&& Open shared read/write
#define OPENTABLE_READONLY			0x0100		&& Open NOUPDATE (safely!!)
#define OPENTABLE_EXCLUSIVE			0x0200		&& Open exclusively (not implemented yet!)
#define OPENTABLE_BARFIFOPEN		0x0000		&& Barf with assert failure (default)
#define OPENTABLE_REPLACEIFOPEN   	0x0400		&& Close existing alias and reopen
#define OPENTABLE_SELECTIFOPEN    	0x0800		&& use existing open alias
#define OPENTABLE_NOUI				0x1000		&& Don't expect user interaction
#define OPENTABLE_NODATA			0x2000		&& Open view with empty structure

*//		Connection retry period in seconds:

#define CONNECTION_RETRY_TIMEOUT		2.0
#define SQLEXEC_FORCE_NEW_CONNECTION	2
#define SQLEXEC_NO_BUSY_CHECK           4

*//		TableUpdate()/TableRevert() parameters:

#define TABLEUPDATE_CURRENTROW		0
#define TABLEUPDATE_ALLROWS			1
#define TABLEUPDATE_ALLROWSNOERROR	2
#define TABLEUPDATE_FORCEOVERWRITE	.T.
#define TABLEUPDATE_SKIPCONFLICTS	.F.
#define TABLEREVERT_CURRENTROW		.F.
#define TABLEREVERT_ALLROWS			.T.

*//		Data Buffering modes:

#define DB_BUFOFF               1
#define DB_BUFLOCKRECORD        2
#define DB_BUFOPTRECORD         3        
#define DB_BUFLOCKTABLE         4
#define DB_BUFOPTTABLE          5

*-- Function Parameters
*-- MessageBox parameters
#DEFINE MB_OK                   0       && OK button only
#DEFINE MB_OKCANCEL             1       && OK and Cancel buttons
#DEFINE MB_ABORTRETRYIGNORE     2       && Abort, Retry, and Ignore buttons
#DEFINE MB_YESNOCANCEL          3       && Yes, No, and Cancel buttons
#DEFINE MB_YESNO                4       && Yes and No buttons
#DEFINE MB_RETRYCANCEL          5       && Retry and Cancel buttons

#DEFINE MB_ICONSTOP             16      && Critical message
#DEFINE MB_ICONQUESTION         32      && Warning query
#DEFINE MB_ICONEXCLAMATION      48      && Warning message
#DEFINE MB_ICONINFORMATION      64      && Information message

#DEFINE MB_APPLMODAL            0       && Application modal message box
#DEFINE MB_DEFBUTTON1           0       && First button is default
#DEFINE MB_DEFBUTTON2           256     && Second button is default
#DEFINE MB_DEFBUTTON3           512     && Third button is default
#DEFINE MB_SYSTEMMODAL          4096    && System Modal

*-- MsgBox return values
#DEFINE IDOK            1       && OK button pressed
#DEFINE IDCANCEL        2       && Cancel button pressed
#DEFINE IDABORT         3       && Abort button pressed
#DEFINE IDRETRY         4       && Retry button pressed
#DEFINE IDIGNORE        5       && Ignore button pressed
#DEFINE IDYES           6       && Yes button pressed
#DEFINE IDNO            7       && No button pressed


*//---------------------------------------
#endif
